package cn.com.qmth.am.consumer;

import java.util.concurrent.CountDownLatch;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentScoreEntity;
import cn.com.qmth.am.service.StudentService;

@Scope("prototype")
@Service
public class OcrConsumer implements Runnable {

    private CountDownLatch endGate;

    private StudentScoreEntity score;

    private QuestionEntity quetion;

    @Autowired
    private StudentService studentService;

    @Override
    public void run() {
        try {
            studentService.buildImage(score, quetion);
        } finally {
            endGate.countDown();
        }
    }

    public CountDownLatch getEndGate() {
        return endGate;
    }

    public void setEndGate(CountDownLatch endGate) {
        this.endGate = endGate;
    }

    public StudentScoreEntity getScore() {
        return score;
    }

    public void setScore(StudentScoreEntity score) {
        this.score = score;
    }

    public QuestionEntity getQuetion() {
        return quetion;
    }

    public void setQuetion(QuestionEntity quetion) {
        this.quetion = quetion;
    }

}
